%global         srcname     azure-datalake-store

Name:           python-%{srcname}
Version:        0.0.49
Release:        4%{?dist}
Summary:        Azure Data Lake Store Filesystem Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %pypi_source

Epoch:          1

BuildArch:      noarch


BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


%global _description %{expand:
Azure Data Lake Store Filesystem Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}

# Fix incorrect line endings in the README.
sed -i 's/\r$//' README.rst


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure

# Remove the samples since many of them are empty or have wrong line endings.
rm -rf %{buildroot}%{python3_sitelib}/samples


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst HISTORY.rst


%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.0.49-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:0.0.49-3
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:0.0.49-2
- Add epoch number for downgrade to 0.0.49.

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 0.0.49-1
- Downgrade to 0.0.49.

* Tue Jun 01 2021 Major Hayden <major@mhtx.net> - 0.0.52-1
- First package.
